> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Secret References

> An endpoint for listing secret references



## OpenAPI

````yaml /openapi/public-api-endpoint-reference.yaml get /v1/projects/{projectId}/secret-references
openapi: 3.1.0
info:
  title: Maia Public REST API
  version: '1.0'
servers:
  - description: EU1
    url: https://eu1.api.matillion.com/dpc
  - description: US1
    url: https://us1.api.matillion.com/dpc
security:
  - bearerAuth: []
tags:
  - description: Manage Schedules
    name: Schedules
  - description: Manage Connections
    name: Connections
  - description: Operations for managing Project Variables
    name: Project Variables
  - description: Manage Pipelines
    name: Pipelines
  - description: Review pipelines against quality rules
    name: Pipeline Quality Review
  - description: Execute tests within a project
    name: Test Execution
  - description: Manage your AI agent tasks
    name: AI Agent Tasks
  - description: SCIM endpoints for user/group permission management
    name: Directory Integration
  - description: Publish shared pipeline artifacts
    name: Shared Pipeline Artifacts
  - description: Manage Repositories
    name: Repositories
  - description: Report on Credit Consumption
    name: Consumption
  - description: Manage Artifacts
    name: Artifacts
  - description: Operations for data lineage and governance
    name: Data Lineage
  - description: Manage Streaming Pipelines
    name: Streaming Pipelines
  - description: Execute a pipeline
    name: Pipeline Execution
  - description: ''
    name: Environments
  - description: ''
    name: Projects
  - description: Manage Agents
    name: Agents
  - description: Operations for managing Environment-level Overrides of Project Variables
    name: Project Variable Environment Overrides
  - description: Query audit events
    name: Audit Events
  - description: Connector Profiles
    name: Connectors
paths:
  /v1/projects/{projectId}/secret-references:
    get:
      tags:
        - Secret References
      summary: List All Secret References
      description: An endpoint for listing secret references
      operationId: getAll_2
      parameters:
        - in: path
          name: projectId
          required: true
          schema:
            type: string
            format: uuid
        - description: >-
            Optional filter for secret reference types. If not provided, only
            PASSWORD types will be returned
          example: PASSWORD,OAUTH_USER_TOKENS
          in: query
          name: secretReferenceTypes
          required: false
          schema:
            type: array
            items:
              type: string
              enum:
                - PASSWORD
                - OAUTH_USER_TOKENS
                - OAUTH_AUTHORIZATION_CODE
                - OAUTH_CLIENT_CRED
                - OAUTH_CLIENT_CREDENTIALS
                - COMPOSITE_TOKEN
                - CLOUD_PLATFORM_CREDENTIALS
            uniqueItems: true
        - description: >-
            Optional filter for providers. This is applicable only for
            non-PASSWORD secret reference types
          example: netsuite
          in: query
          name: providers
          required: false
          schema:
            type: array
            items:
              type: string
            uniqueItems: true
        - description: Page number (0-indexed)
          example: '0'
          in: query
          name: page
          schema: {}
        - description: Number of records per page (from 1 to 100)
          example: '25'
          in: query
          name: size
          schema: {}
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PagedResultListSecretReferenceSummary'
          description: Secret references have been retrieved
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Wrong request parameters used
        '403':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Unauthorized
        '404':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Secret references not found
        '422':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Unprocessable Entity
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Unexpected error occurred
        '504':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Gateway timeout
components:
  schemas:
    PagedResultListSecretReferenceSummary:
      type: object
      properties:
        page:
          type: integer
          format: int32
          description: The 0-indexed page number of the returned results.
          example: 1
        results:
          type: array
          description: Page of results or empty.
          items:
            $ref: '#/components/schemas/SecretReferenceSummary'
        size:
          type: integer
          format: int32
          description: The size of each page of results.
          example: 50
        total:
          type: integer
          format: int64
          description: Total number of available results across all pages.
          example: 472
    ProblemDetail:
      type: object
      properties:
        detail:
          type: string
        instance:
          type: string
        status:
          type: integer
          format: int32
        title:
          type: string
        type:
          type: string
          format: uri
        violations:
          type: array
          items:
            type: string
    SecretReferenceSummary:
      type: object
      properties:
        description:
          type: string
          description: The description of the secret reference as set by the user
        name:
          type: string
          description: The name of the Data Productivity Cloud secret reference
          example: Data-Productivity-Cloud-secret-name
        provider:
          type: string
          description: The Cloud Provider of the secret location
        secretKey:
          type: string
          description: The key of the secret within the Cloud Provider
          example: aws-secret-key
        secretName:
          type: string
          description: The name of the secret within the Cloud Provider
          example: aws-secret-name
        type:
          type: string
          description: The type of secret reference
          example: PASSWORD
        vaultName:
          type: string
          description: The name of the chosen Azure vault
        vaultType:
          type: string
          description: The Cloud Provider of the secret location
          example: AWS
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: a valid bearer token
      scheme: bearer
      type: http

````